package uoc.multimediadegree.com.e_lactancia_app;

import java.util.ArrayList;
import java.util.List;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.BaseAdapter;
import android.widget.TextView;

import uoc.multimediadegree.com.e_lactancia_app.modelo.JSONFiles;

/** Adaptador de ListView universal, para www.jarroba.com
 * @author Ramon Invarato Menéndez
 */
public class Adaptador_ArrayList extends ArrayAdapter<JSONFiles.ListOfAlternatives> {

    private static class ViewHolder {
        TextView nombre_es;
        TextView riesgo;
    }

//    private List<JSONFiles.ListOfAlternatives> entradas;
//    private int R_layout_IdView;
    private Context contexto;

    public Adaptador_ArrayList(Context context, int R_layout_IdView, List<JSONFiles.ListOfAlternatives> entradas) {
        super(context, R_layout_IdView, entradas );

        this.contexto = context;
//        this.entradas = entradas;
//        this.R_layout_IdView = R_layout_IdView;
    }

    @Override
    public View getView(int posicion, View view, ViewGroup parent) {
        JSONFiles.ListOfAlternatives alternative = (JSONFiles.ListOfAlternatives) getItem(posicion);
        ViewHolder vHolder;
        if( view == null ){
            vHolder = new ViewHolder();
            LayoutInflater inflater = LayoutInflater.from(getContext());
            view = inflater.inflate(R.layout.item_lista_termino, parent, false);
            vHolder.nombre_es = (TextView) view.findViewById(R.id.item_lista_termino_txt_termino);
//            vHolder.riesgo = (TextView) view.findViewById(R.id.item_lista_termino_view_indicator);
            view.setTag(vHolder);
        } else {
            vHolder = (ViewHolder) view.getTag();
        }
        vHolder.nombre_es.setText( alternative.getListOfAlternativesNombre_es());
//        vHolder.home.setText(user.hometown);
        return view;
    }
}

