package uoc.multimediadegree.com.e_lactancia_app.modelo;

import java.lang.String;

public class JSONFiles {
    public JSONFiles() {
    }
    public static class ListOfTerms{
        // Atributos
        private String id;
        private String nombre_es;
        private String nombre_en;

        public ListOfTerms(){
        }

        public ListOfTerms(String id, String nombre_es, String nombre_en) {
            this.id = id;
            this.nombre_es= nombre_es;
            this.nombre_en = nombre_en;
        }

        public String getListOfTermsId() {
            return id;
        }

        public void setListOfTermsId(String id) {
            this.id = id;
        }

        public String getListOfTermsNombre_es() {
            return nombre_es;
        }

        public void setListOfTermsNombre_es(String nombre_es) {
            this.nombre_es = nombre_es;
        }

        public String getListOfTermsNombre_en() {
            return nombre_en;
        }

        public void setListOfTermsNombre_en(String nombre_en) {
            this.nombre_en = nombre_en;
        }
    }
    public static class Term{
        // Atributos
        private int id;
        private String nombre_es;
        private String nombre_en;
        private int riesgo__nivel;
        private String riesgo__nombre_es;
        private String riesgo__nombre_en;
        private String riesgo__descripcion_es;
        private String riesgo__descripcion_en;

        private String comentario_es;
        private String comentario_en;

        private String fecha_creacion;
        private String fecha_modificacion;

        private String dosis_teorica;
        private String dosis_relativa;
        private String dosis_terapeutica;
        private String union_proteinas;
        private String t_medio;
        private String t_maximo;
        private String peso_molecular;
        private String indice_leche_plasma;
        private String volumen_distrib;
        private String biodisponibilidad;

        public Term(){
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getNombre_es() {
            return nombre_es;
        }

        public void setNombre_es(String nombre_es) {
            this.nombre_es = nombre_es;
        }

        public String getNombre_en() {
            return nombre_en;
        }

        public void setNombre_en(String nombre_en) {
            this.nombre_en = nombre_en;
        }

        public int getRiesgo__nivel() {
            return riesgo__nivel;
        }

        public void setRiesgo__nivel(int riesgo__nivel) {
            this.riesgo__nivel = riesgo__nivel;
        }

        public String getRiesgo__nombre_es() {
            return riesgo__nombre_es;
        }

        public void setRiesgo__nombre_es(String riesgo__nombre_es) {
            this.riesgo__nombre_es = riesgo__nombre_es;
        }

        public String getRiesgo__nombre_en() {
            return riesgo__nombre_en;
        }

        public void setRiesgo__nombre_en(String riesgo__nombre_en) {
            this.riesgo__nombre_en = riesgo__nombre_en;
        }

        public String getRiesgo__descripcion_es() {
            return riesgo__descripcion_es;
        }

        public void setRiesgo__descripcion_es(String riesgo__descripcion_es) {
            this.riesgo__descripcion_es = riesgo__descripcion_es;
        }

        public String getRiesgo__descripcion_en() {
            return riesgo__descripcion_en;
        }

        public void setRiesgo__descripcion_en(String riesgo__descripcion_en) {
            this.riesgo__descripcion_en = riesgo__descripcion_en;
        }

        public String getComentario_es() {
            return comentario_es;
        }

        public void setComentario_es(String comentario_es) {
            this.comentario_es = comentario_es;
        }

        public String getComentario_en() {
            return comentario_en;
        }

        public void setComentario_en(String comentario_en) {
            this.comentario_en = comentario_en;
        }

        public String getFecha_creacion() {
            return fecha_creacion;
        }

        public void setFecha_creacion(String fecha_creacion) {
            this.fecha_creacion = fecha_creacion;
        }

        public String getFecha_modificacion() {
            return fecha_modificacion;
        }

        public void setFecha_modificacion(String fecha_modificacion) {
            this.fecha_modificacion = fecha_modificacion;
        }

        public String getDosis_teorica() {
            return dosis_teorica;
        }

        public void setDosis_teorica(String dosis_teorica) {
            this.dosis_teorica = dosis_teorica;
        }

        public String getDosis_relativa() {
            return dosis_relativa;
        }

        public void setDosis_relativa(String dosis_relativa) {
            this.dosis_relativa = dosis_relativa;
        }

        public String getDosis_terapeutica() {
            return dosis_terapeutica;
        }

        public void setDosis_terapeutica(String dosis_terapeutica) {
            this.dosis_terapeutica = dosis_terapeutica;
        }

        public String getUnion_proteinas() {
            return union_proteinas;
        }

        public void setUnion_proteinas(String union_proteinas) {
            this.union_proteinas = union_proteinas;
        }

        public String getT_medio() {
            return t_medio;
        }

        public void setT_medio(String t_medio) {
            this.t_medio = t_medio;
        }

        public String getT_maximo() {
            return t_maximo;
        }

        public void setT_maximo(String t_maximo) {
            this.t_maximo = t_maximo;
        }

        public String getPeso_molecular() {
            return peso_molecular;
        }

        public void setPeso_molecular(String peso_molecular) {
            this.peso_molecular = peso_molecular;
        }

        public String getIndice_leche_plasma() {
            return indice_leche_plasma;
        }

        public void setIndice_leche_plasma(String indice_leche_plasma) {
            this.indice_leche_plasma = indice_leche_plasma;
        }

        public String getVolumen_distrib() {
            return volumen_distrib;
        }

        public void setVolumen_distrib(String volumen_distrib) {
            this.volumen_distrib = volumen_distrib;
        }

        public String getBiodisponibilidad() {
            return biodisponibilidad;
        }

        public void setBiodisponibilidad(String biodisponibilidad) {
            this.biodisponibilidad = biodisponibilidad;
        }
    }

    public static class ListOfAlternatives{
        // Atributos
        private int id;
        private int riesgo;
        private String nombre_es;
        private String nombre_en;

        public ListOfAlternatives(){
        }

        public ListOfAlternatives(int id, int riesgo, String nombre_es, String nombre_en) {
            this.id = id;
            this.riesgo = riesgo;
            this.nombre_es= nombre_es;
            this.nombre_en = nombre_en;
        }

        public int getListOfAlternativesId() {
            return id;
        }

        public void setListOfAlternativesId(int id) {
            this.id = id;
        }

        public int getListOfAlternativesRiesgo() {
            return riesgo;
        }

        public void setListOfAlternativesRiesgo(int riesgo) {
            this.riesgo = riesgo;
        }

        public String getListOfAlternativesNombre_es() {
            return nombre_es;
        }

        public void setListOfAlternativesNombre_es(String nombre_es) {
            this.nombre_es = nombre_es;
        }

        public String getListOfAlternativesNombre_en() {
            return nombre_en;
        }

        public void setListOfAlternativesNombre_en(String nombre_en) {
            this.nombre_en = nombre_en;
        }
    }
}
