package uoc.multimediadegree.com.e_lactancia_app.ui;

import android.app.FragmentTransaction;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.preference.PreferenceFragment;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.EditText;
import android.widget.ImageButton;

import uoc.multimediadegree.com.e_lactancia_app.R;

/**
 * Actividad para la configuración de preferencias
 */

public class ActividadEstudio extends AppCompatActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.actividad_estudio);

        agregarToolbar();

        ImageButton fab = (ImageButton) findViewById(R.id.fab);
        fab.setOnClickListener(
                new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        send();
                    }
                }
        );
    }

    private void agregarToolbar() {
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbarEstudio);
        setSupportActionBar(toolbar);
        final ActionBar ab = getSupportActionBar();
        if (ab != null) {
            ab.setDisplayHomeAsUpEnabled(true);
        }
    }
    private void send(){
        String etEmail = getResources().getString(R.string.reqStudy_adress);
        EditText studyTerm= (EditText) findViewById(R.id.txt_estudioTermino);
        EditText studyReasons = (EditText) findViewById(R.id.txt_estudioMemo);
        String subject = getResources().getString(R.string.reqStudy_subject) + " " + studyTerm.getText();

        Intent itSend = new Intent(android.content.Intent.ACTION_SEND);
        itSend.setType("plain/text");
//        itSend.setData(Uri.parse("mailto:"));

        itSend.putExtra(android.content.Intent.EXTRA_EMAIL, new String[]{ etEmail});
        itSend.putExtra(android.content.Intent.EXTRA_SUBJECT, subject);
        itSend.putExtra(android.content.Intent.EXTRA_TEXT, studyReasons.getText());

        startActivity(itSend);
    }
}