package uoc.multimediadegree.com.e_lactancia_app.ui;


import android.content.ContentUris;
import android.database.Cursor;
import android.graphics.Color;
import android.net.Uri;
import android.os.Bundle;
import android.support.design.widget.AppBarLayout;
import android.support.design.widget.TabLayout;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;
import android.support.v4.view.ViewPager;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

import uoc.multimediadegree.com.e_lactancia_app.R;
import uoc.multimediadegree.com.e_lactancia_app.modelo.MyContracts;

public class FragmentoInicio extends Fragment {

    public FragmentoInicio(){
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragmento_inicio, container, false);
 //       setUserEmailText();
        return view;
    }

    private void setUserEmailText(){
        TextView usuarioNombre = (TextView) getActivity().findViewById(R.id.navDrawer_txt_usuario);
        TextView usuarioEmail = (TextView) getActivity().findViewById(R.id.navDrawer_txt_email);

        Uri uri = ContentUris.withAppendedId(MyContracts.CONTENT_URI_USUARIO, 1);
        Cursor c = getActivity().getContentResolver().query(
                uri,
                null, null, null, null);

        if (c.moveToFirst()){
            String userName_text = c.getString(c.getColumnIndex(MyContracts.Columnas.USER_NAME));
            String userEMail_text = c.getString(c.getColumnIndex(MyContracts.Columnas.USER_EMAIL));

            usuarioNombre.setText(userName_text);
            usuarioEmail.setText(userEMail_text);
        }
        c.close();
    }
}
